%define upstream_name    Directory-Iterator-PP
%define upstream_version 1.001004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Recursively list file contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The module creates a list-like generator to recursively list files in a
directory. The directories are scanned as the list is consumed, so only the
one directory handle and a list of directories to scan are stored in
memory.

METHODS
    * *new*(_DIRECTORY_)

      Create a new instance on the specified _DIRECTORY_, which must be the
      name of an existing directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.4-10.mga10
+ Revision: 2198208
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.4-9.mga9
+ Revision: 1803012
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.4-8.mga8
+ Revision: 1494038
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.4-7.mga7
+ Revision: 1267279
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.4-6.mga6
+ Revision: 1025800
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.1.4-5.mga6
+ Revision: 937972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-4.mga5
+ Revision: 742731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-3.mga5
+ Revision: 684375
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-2.mga4
+ Revision: 527626
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.1.4-1.mga4
+ Revision: 441544
- update to 1.001004

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 365975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.1.2-1.mga3
+ Revision: 342078
- update to 1.001002

* Tue Nov 06 2012 jquelin <jquelin> 1.0.1-1.mga3
+ Revision: 315048
- update to 1.000001

* Mon Oct 08 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 303454
- imported package perl-Directory-Iterator-PP


* Mon Oct 08 2012 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
